using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{
    [Table("wms_inventory_check_detail")]
    public class WmsInventoryCheckDetail
    {
        [Key]
        [Column("inventory_check_detail_id")]
        public long InventoryCheckDetailId { get; set; }
        [Column("inventory_check_id")]
        public long? InventoryCheckId { get; set; }
        [Column("material_id")]
        public long? MaterialId { get; set; }
        [Column("location_code")]
        public string LocationCode { get; set; }
        [Column("material_batch")]
        public string MaterialBatch { get; set; }
        [Column("stock_type")]
        public string StockType { get; set; }
        [Column("stock_id")]
        public long? StockId { get; set; }
        [Column("stock_amount")]
        public decimal? StockAmount { get; set; }
        [Column("real_amount")]
        public decimal? RealAmount { get; set; }
        [Column("check_status")]
        public string CheckStatus { get; set; }
        [Column("inventory_time")]
        public int? InventoryCount { get; set; }
        [Column("erp_status")]
        public string? ErpStatus { get; set; }
        [Column("erp_amount")]
        public decimal? ErpAmount { get; set; }
        [Column("create_by")]
        public string CreateBy { get; set; }
        [Column("create_date")]
        public DateTime? CreateTime { get; set; }
        [Column("update_by")]
        public string UpdateBy { get; set; }
        [Column("update_date")]
        public DateTime? UpdateTime { get; set; }
        [Column("check_type")]
        public string CheckType { get; set; }
    }
}
